# e-cursors

## Name

e-cursors --

## Synopsis

    enum        ECursorType;
    void        e_cursors_init                  (void);
    void        e_cursors_shutdown              (void);
    #define     e_cursor_set                    (win, c)
    #define     e_cursor_set_widget             (w, c)
    GdkCursor*  e_cursor_get                    (ECursorType type);

## Description

## Details

### enum ECursorType

    typedef enum {
    	E_CURSOR_FAT_CROSS,
    	E_CURSOR_THIN_CROSS,
    	E_CURSOR_ARROW,
    	E_CURSOR_MOVE,
    	E_CURSOR_ZOOM_IN,
    	E_CURSOR_ZOOM_OUT,
    	E_CURSOR_SIZE_X,
    	E_CURSOR_SIZE_Y,
    	E_CURSOR_SIZE_TL,
    	E_CURSOR_SIZE_TR,
    	E_CURSOR_PRESS,
    	E_CURSOR_HAND_OPEN,
    	E_CURSOR_HAND_CLOSED,
    	E_CURSOR_NUM_CURSORS
    } ECursorType;

### e_cursors_init ()

    void        e_cursors_init                  (void);

### e_cursors_shutdown ()

    void        e_cursors_shutdown              (void);

### e_cursor_set()

    #define     e_cursor_set(win, c)

`win` : |
`c` : |

### e_cursor_set_widget()

    #define     e_cursor_set_widget(w, c)

`w` : |
`c` : |

### e_cursor_get ()

    GdkCursor*  e_cursor_get                    (ECursorType type);

`type` : |
Returns : |